Package org.eclipse.birt.report.engine.api.script.eventhandler

# Interface ITableEventHandler

All Known Implementing Classes:
  `TableEventAdapter`

public interface ITableEventHandler
Script event handler interface for a table

## Method Summary

Modifier and Type
Method
Description
`void`
`onCreate(ITableInstance table, IReportContext reportContext)`
Handle the onCreate event
`void`
`onPageBreak(ITableInstance table, IReportContext reportContext)`
Handle the onPageBreak event
`void`
`onPrepare(ITable tableHandle, IReportContext reportContext)`
Handle the onPrepare event
`void`
`onRender(ITableInstance table, IReportContext reportContext)`
Handle the onRender event

## Method Details

### onPrepare

void onPrepare(ITable tableHandle, IReportContext reportContext) throws ScriptException
Handle the onPrepare event

Throws:
  `ScriptException`

### onCreate

void onCreate(ITableInstance table, IReportContext reportContext) throws ScriptException
Handle the onCreate event

Throws:
  `ScriptException`

### onRender

void onRender(ITableInstance table, IReportContext reportContext) throws ScriptException
Handle the onRender event

Throws:
  `ScriptException`

### onPageBreak

void onPageBreak(ITableInstance table, IReportContext reportContext) throws ScriptException
Handle the onPageBreak event

Throws:
  `ScriptException`